[CentOS-devel] [PHP 5.2.6] Feedback / Centos Testing and CentOS Extras

Phil Schaffner Philip.R.Schaffner at NASA.gov
Thu Mar 12 15:13:43 UTC 2009


Paulo Martinez wrote:
> - Sorry for double posting. The Archive was not including my post. -
> - For the sake of them, which only read through the archive.       -

I still can't find Paulo's posts in the archive.  Are they being 
rejected for some reason?

> 
> Hi Devel,
> 
> just to communicate. php from c5-testing is working so far:
> 
> rpm -qa |grep php
>    php-soap-5.2.6-2.el5s2
>    php-gd-5.2.6-2.el5s2
>    php-ldap-5.2.6-2.el5s2
>    php-common-5.2.6-2.el5s2
>    php-cli-5.2.6-2.el5s2
>    php-bcmath-5.2.6-2.el5s2
>    php-5.2.6-2.el5s2
>    php-xml-5.2.6-2.el5s2
>    php-mbstring-5.2.6-2.el5s2
>    php-pear-Auth-SASL-1.0.2-4.el5.centos
>    php-imap-5.2.6-2.el5s2
>    php-pear-1.4.9-4.el5.1
>    php-pdo-5.2.6-2.el5s2
>    php-dba-5.2.6-2.el5s2
>    php-mysql-5.2.6-2.el5s2
>    php-xmlrpc-5.2.6-2.el5s2
> 
> 
> At time of installation with:
> 
>    yum --enablerepo=c5-testing update php
> 
> There were no dependencies errors from php packages
> of extras repo like php-mcrypt but they should because
> the of the changed AP-Interface for php-modules.
> Anyway, the installation/upgrade runs flawless.
> 
> In my environment there were following packages of extras repo
> 
> php-mcrypt
> php-mhash
> php-pecl-Fileinfo
> 
> Deleting this php-modules resolves this (issue of starting httpd):
> 
> 
> PHP Warning:  PHP Startup: fileinfo: Unable to initialize module\nModule
> compiled with module API=20050922, debug=0, thread-safety=0\nPHP
> compiled with module API=20060613, debug=0, thread-safety=0\nThese
> options need to match\n in Unknown on line 0
> PHP Warning:  PHP Startup: mcrypt: Unable to initialize module\nModule
> compiled with module API=20050922, debug=0, thread-safety=0\nPHP
> compiled with module API=20060613, debug=0, thread-safety=0\nThese
> options need to match\n in Unknown on line 0
> PHP Warning:  PHP Startup: mhash: Unable to initialize module\nModule
> compiled with module API=20050922, debug=0, thread-safety=0\nPHP
> compiled with module API=20060613, debug=0, thread-safety=0\nThese
> options need to match\n in Unknown on line 0
> 
> 
> I am sure all extra-repo packages
> 
> php-*
> php-pecl*
> 
> have to be touched to run also with centosplus candidate php 5.2.x
> 
> ---
> 
> i had php-eaccelerator installed and now removed. I will recompile it
> in the next days. I wonder, CentOSPlus/CentOSWebStack for Centos 4 have
> php-eaccelerator. What do you think about a package for Centos 5?
> 
> For now - thank you.
> 
> Best Regards
> 
> P.M.


More information about the CentOS-devel mailing list